from flask_wtf import FlaskForm
from wtforms import StringField, IntegerField, SubmitField
from wtforms.validators import DataRequired

class ScrapingForm(FlaskForm):
    faction_id = StringField('Faction ID', validators=[DataRequired()], default='9686')
    fetch_interval = IntegerField('Fetch Interval (seconds)', validators=[DataRequired()], default=60)
    run_interval = IntegerField('Run Interval (days)', validators=[DataRequired()], default=1)
    submit = SubmitField('Start')